Summary: A collection of CD/DVD utilities.
Name: dvdrtools
Version: 0.1.4
Release: 4.AS21.1
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.bz2
Patch1: dvdrtools-0.1.2-O_EXCL.patch
Patch3: dvdrtools-0.1.4-ret.patch
Patch4: cdrdao-1.1.7-endianness.patch

URL: http://www.freesoftware.fsf.org/dvdrtools/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
dvdrtools is a collection of CD/DVD utilities.

%package -n dvdrecord
Summary: A command line CD/DVD recording program.
Group: Applications/Archiving

%description -n dvdrecord
Dvdrecord is an application for creating audio and data CDs and DVDs.
Dvdrecord works with many different brands of CD/DVD recorders, fully supports
multi-sessions and provides human-readable error messages.

%prep
%setup -q
%patch1 -p1 -b .excl
%patch3 -p1 -b .ret
%patch4 -p1 -b .endian

%build
touch configure
%configure
make

%install
rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
# FIXME: remove once automake works correctly and doesn't mess with
# filenames
# KH: fixed it. Should work now in both cases
files=`/bin/ls -1 $RPM_BUILD_ROOT%{_bindir}/*-*-*-*` 2>/dev/null ||:
  for i in $files; do
	mv $i $RPM_BUILD_ROOT%{_bindir}/`echo $i |sed -e "s,.*-,,"`
  done
files=`/bin/ls -1 $RPM_BUILD_ROOT%{_mandir}/man1/*-*-*-*` 2>/dev/null ||:
  for i in $files; do
	mv $i $RPM_BUILD_ROOT%{_mandir}/man1/`echo $i |sed -e "s,.*-,,"`
  done
ln -s dvdrecord $RPM_BUILD_ROOT%{_bindir}/cdrecord

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_bindir}/{cdda2mp3,cdda2ogg,cdda2wav,devdump,isodump,isoinfo,isovfy,mkisofs,readcd}
rm -rf $RPM_BUILD_ROOT%{_mandir}/man8
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{cdda2wav.1,readcd.1}*

%clean
rm -rf $RPM_BUILD_ROOT

%files -n dvdrecord
%defattr(-,root,root)
%doc ChangeLog NEWS AUTHORS README*
%{_bindir}/dvdrecord
%{_mandir}/man1/dvdrecord.1*

%changelog
* Thu Feb 26 2004 Harald Hoyer <harald@redhat.com> - 0.1.4-4.AS21.1
- build version for AS2.1

* Thu Feb  5 2004 Harald Hoyer <harald@faro.stuttgart.redhat.com> - 0.1.4-4
- added ret.patch (113666)
- put autoconf changes in patch99

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 26 2003 Harald Hoyer <harald@redhat.de> 0.1.4-1
- version 0.1.4

* Tue May 13 2003 Harald Hoyer <harald@redhat.de> 0.1.2-12
- refined O_EXCL patch, nonroot sg handling

* Mon May 12 2003 Harald Hoyer <harald@redhat.de> 0.1.2-11
- refined O_EXCL patch, nonroot sg handling

* Wed Feb 26 2003 Harald Hoyer <harald@redhat.de> 0.1.2-10
- refined O_EXCL patch

* Tue Feb 25 2003 Harald Hoyer <harald@redhat.de> 0.1.2-9
- refined O_EXCL patch

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Nov 28 2002 Harald Hoyer <harald@redhat.de> 0.1.2-7
- dvdrtools-0.1.2-O_EXCL.patch added

* Wed Nov 27 2002 Tim Powers <timp@redhat.com> 0.1.2-6
- remove unpackaged files from the buildroot

* Mon Oct  7 2002 Mike A. Harris <mharris@redhat.com> 0.1.2-5
- All-arch rebuild

* Thu Aug 08 2002 Karsten Hopp <karsten@redhat.de>
- fixed automake workaround. Should work now even if automake behaves as
  intended

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.1.2-1
- initial build for Red Hat Linux; disable cdda2wav and mkisofs
  and readcd because we're getting them from cdrtools for now.
